mutate_mapping {highcharter} | R Documentation

## Modify data frame according to mapping

### Description

Modify data frame according to mapping

### Usage

    mutate_mapping(data, mapping, drop = FALSE)

### Arguments

`data` | A data frame object.
`mapping` | A mapping from `hcaes` function.
`drop` | A logical argument to you drop variables or not. Default is `FALSE`

### Examples

    df <- head(mtcars)
    mutate_mapping(data = df, mapping = hcaes(x = cyl, y = wt + cyl, group = gear))
    mutate_mapping(data = df, mapping = hcaes(x = cyl, y = wt), drop = TRUE)

[Package highcharter version 0.7.0 Index]